| QxOrm 1.2.5 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Attributes | Private Member Functions
qx::QxPropertyBag Class Reference
QxCommon : QxOrm library common tools and macros

qx::QxPropertyBag : used by introspection engine (IxClass, IxDataMember, IxFunction, etc.) to add meta-data (property bag) More...

`#include <QxPropertyBag.h>`

Inheritance diagram for qx::QxPropertyBag:

List of all members.

## Public Member Functions
| QxPropertyBag ()
virtual | ~QxPropertyBag ()
void | setPropertyBag (const QString &key, const QVariant &value)
QVariant | getPropertyBag (const QString &key) const
void | removePropertyBag (const QString &key)
void | clearPropertyBag ()
long | countPropertyBag () const
QList< QString > | getAllPropertyBagKeys () const
## Protected Types
typedef QHash< QString, QVariant > | type_hash_prop_bag
typedef boost::shared_ptr < type_hash_prop_bag > | type_hash_prop_bag_ptr
## Protected Attributes
type_hash_prop_bag_ptr | m_lstPropertyBag
| List of all properties in the bag (meta-data)
## Private Member Functions
void | initPropertyBag ()

## Detailed Description

qx::QxPropertyBag : used by introspection engine (IxClass, IxDataMember, IxFunction, etc.) to add meta-data (property bag)

Definition at line 58 of file QxPropertyBag.h.

## Member Typedef Documentation

typedef QHash<QString, QVariant> qx::QxPropertyBag::type_hash_prop_bag`[protected]`

Definition at line 63 of file QxPropertyBag.h.

typedef boost::shared_ptr<type_hash_prop_bag> qx::QxPropertyBag::type_hash_prop_bag_ptr`[protected]`

Definition at line 64 of file QxPropertyBag.h.

## Constructor & Destructor Documentation

qx::QxPropertyBag::QxPropertyBag | ( |  | ) | `[inline]`

Definition at line 70 of file QxPropertyBag.h.

virtual qx::QxPropertyBag::~QxPropertyBag | ( |  | ) | `[inline, virtual]`

Definition at line 71 of file QxPropertyBag.h.

## Member Function Documentation

void qx::QxPropertyBag::clearPropertyBag | ( |  | ) | `[inline]`

Definition at line 76 of file QxPropertyBag.h.

long qx::QxPropertyBag::countPropertyBag | ( |  | ) | const`[inline]`

Definition at line 77 of file QxPropertyBag.h.

QList<QString> qx::QxPropertyBag::getAllPropertyBagKeys | ( |  | ) | const`[inline]`

Definition at line 78 of file QxPropertyBag.h.

QVariant qx::QxPropertyBag::getPropertyBag | ( | const QString & | key | ) | const`[inline]`

Definition at line 74 of file QxPropertyBag.h.

void qx::QxPropertyBag::initPropertyBag | ( |  | ) | `[inline, private]`

Definition at line 82 of file QxPropertyBag.h.

void qx::QxPropertyBag::removePropertyBag | ( | const QString & | key | ) | `[inline]`

Definition at line 75 of file QxPropertyBag.h.

void qx::QxPropertyBag::setPropertyBag | ( | const QString & | key,
|  | const QVariant & | value
| ) |  | `[inline]`

Definition at line 73 of file QxPropertyBag.h.

## Member Data Documentation

type_hash_prop_bag_ptr qx::QxPropertyBag::m_lstPropertyBag`[protected]`

List of all properties in the bag (meta-data)

Definition at line 66 of file QxPropertyBag.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxCommon/QxPropertyBag.h